import { InternalTrackerAction } from '../internal/enhancer';
import { ChainedPod, ResolvedPodTracker, ExposedActionCreator, ExposedActionCreatorRes, ResolvedActionTracker } from '../internal/interfaces';
export declare function podTrackerEffect<S, TState>(pod: ChainedPod<TState, any>, tracker: ResolvedPodTracker<TState, S>): import("../internal/interfaces").Effect<S, InternalTrackerAction<TState>>;
export declare function actionTrackerEffect<S, E extends ExposedActionCreator<any>>(podAction: E, func: ResolvedActionTracker<E, S>): import("../internal/interfaces").Effect<S, ExposedActionCreatorRes<E>>;
